ItemizerX 1.3.3

A new way to edit your items

  1. Porkchop
    Porkchop
    5/5,
    Version: 1.3.2-fix
    Works on 1.16.2, plugin author had the wrong version out and fixed it. Good to see that someone liked the old itemizer enough to update it.
  2. _Haakster_
    _Haakster_
    4/5,
    Version: 1.3.2
    Looks like a great plugin! I am having an issue on 1.16.2 Spigot though...
    "Could not load 'plugins\ItemizerX.jar'", "Unsupported API version 1.16.2"
    1. Focusvity
      Author's Response
      Try downloading the new jar file- it looks like I uploaded the wrong jar file or it's being overwritten by older jar file.
  3. Deathril
    Deathril
    5/5,
    Version: 1.2
    I loved the old Itemizer, and I love this one. Thanks for doing this, currently working on a major project (a dungeons server) and I needed Itemizer but it wasn't updated to 1.15, thanks for doing this!
    1. Focusvity
      Author's Response
      Thanks for the feedback, I hope you would recommend this to others.